function getRank()
	local returnVal=""
	local Poison	= tonumber(DoCall("GetFlag", 22))
	local Air		= tonumber(DoCall("GetFlag", 23))
	local Missiles	= tonumber(DoCall("GetFlag", 24))
	local Shots		= tonumber(DoCall("GetFlag", 25))
	local Time		= tonumber(DoCall("GetFlag", 27))
	
	local Alerts		= tonumber(DoCall("GetFlag", 28))
	local Kissed		= tonumber(DoCall("GetFlag", 29))
	local Shot		= tonumber(DoCall("GetFlag", 30))
	local Thrown		= tonumber(DoCall("GetFlag", 31))
	
	local Seconds	= math.floor((Time/1000) % 60)
	local Minutes	= math.floor((Time/(1000*60)) % (60))
	local Hours	= math.floor((Time/(1000*60*60)))
	
	local Rank = "Snow Bunny";
	
	local NumItems = 0
	for i=1, 20 do
		if (tonumber(DoCall("GetFlag", i)) == 1) then
			NumItems = NumItems + 1
		end
	end
	
	if (Thrown >= 60) then
		Rank = "Stag Beetle"
	end
	
	if (Thrown >= 100) then
		Rank = "Rhino"
	end
	
	if (Shots >= 40) then
		Rank = "Polar Bear"
	end
	
	if (Missiles >= 10) then
		Rank = "Kissing Gourami"
	end
	
	if (Alerts >= 30) then
		Rank = "Elephant"
	end
	
	if (Alerts >= 50) then
		Rank = "Mammoth"
	end
	
	if (Hours > 5) then
		Rank = "Tortoise"
	end
	
	if (Hours > 6) then
		Rank = "Hibernating Bear"
	end
	
	if (Time < math.floor(1.5 * 60 * 60 * 1000)) then
		Rank = "Wise Man"
		if (Alerts == 0) then
			Rank = "Father Christmas"
		end
	else
		if (Alerts == 0) then
			Rank = "Solid Snake"
		end
	end
	
	if (NumItems <= 2) then
		Rank = "Naked Snake"
		
		if (Time < 60 * 60 * 1000) then
			if (Alerts == 0) then
				if (Time < math.floor(0.5 * 60 * 60 * 1000)) then
					Rank = "The Boss"
				else
					Rank = "Big Boss"
				end
			else
				Rank = "Big Beard"
			end
		end
	end
	
	
	returnVal = returnVal .. "Game Time:"
	returnVal = returnVal .. "/n"
	returnVal = returnVal .. Hours .. " hours " .. Minutes .. " minutes ".. Seconds .. " seconds"
	returnVal = returnVal .. "/n/n"
	returnVal = returnVal .. "Alerts: " .. Alerts .. "/n"
	returnVal = returnVal .. "Enemies Thrown: " .. Thrown .. "/n"
	returnVal = returnVal .. "Enemies Polarized: " .. Shot .. "/n"
	returnVal = returnVal .. "Enemies In Love: " .. Kissed .. "/n"
	returnVal = returnVal .. "Shots Fired: " .. Shots .. "/n"
	returnVal = returnVal .. "Total Items: " .. NumItems .. "/n"	
	returnVal = returnVal .. "/n"
	returnVal = returnVal .. "RANK: " .. Rank
	DoCall("SetRank", returnVal)
end
